Skip to main content
POST
Creates a new bill of materials item for a bill of materials operation.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

billOfMaterialsOperationId
string<uuid>
required
Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request parameters

Creates a new bill of materials item for a bill of materials operation. - Request

productionItemId
string<uuid>

The ID of the production item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

billOfMaterialsId
string<uuid>

The ID of the bill of materials.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

input
object

The input for creating a bill of materials item.

Response

Successfully created a bill of materials item.

Creates a new bill of materials item for a bill of materials operation. - Response

id
string<uuid>

The ID of the newly created bill of materials item.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"